Update Users
curl --request POST \
--url https://api.velt.dev/v2/users/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"folderId": "<string>",
"users": [
{}
]
}
}
'import requests
url = "https://api.velt.dev/v2/users/update"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"folderId": "<string>",
"users": [{}]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
folderId: '<string>',
users: [{}]
}
})
};
fetch('https://api.velt.dev/v2/users/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "User(s) processed successfully.",
"data": {
"yourUserId1": {
"success": true,
"id": "7d87015b055a168b098cf05b870e40ff",
"message": "User updated."
}
}
}
}
Users
Update Users
POST
/
v2
/
users
/
update
Update Users
Use this API to update user metadata based on various filters such as organization ID, document ID, folder ID and user IDs.
You can use these filters in various combinations to get the desired results.
The user metadata such as name, email etc can be updated.
Access Control
- Set
accessRoletoviewer(read-only) oreditor(read/write) on each resource to define the user’s capabilities for that resource. accessRolecan only be set via the v2 Users and Auth Permissions REST APIs. Frontend SDK methods do not accept or changeaccessRole.- Relevant endpoints:
/v2/users/add,/v2/users/update,/v2/auth/permissions/add,/v2/auth/generate_token. - See the Access Control overview for concepts and detailed guidance.
Endpoint
POST https://api.velt.dev/v2/users/update
Headers
Your API key.
Your Auth Token.
Body
Params
Example Requests
1. Update users in a specific organization
- Editor
- Viewer
{
"data": {
"organizationId": "yourOrganizationId",
"users": [
{
"userId": "yourUserId1",
"name": "User Name",
"email": "user@email.com",
"accessRole": "editor"
}
]
}
}
{
"data": {
"organizationId": "yourOrganizationId",
"users": [
{
"userId": "yourUserId1",
"name": "User Name",
"email": "user@email.com",
"accessRole": "viewer"
}
]
}
}
2. Update users in a specific document within an organization
- Editor
- Viewer
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"users": [
{
"userId": "yourUserId1",
"name": "User Name",
"email": "user@email.com",
"accessRole": "editor"
}
]
}
}
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"users": [
{
"userId": "yourUserId1",
"name": "User Name",
"email": "user@email.com",
"accessRole": "viewer"
}
]
}
}
3. Update users in a specific folder within an organization
- Editor
- Viewer
{
"data": {
"organizationId": "yourOrganizationId",
"folderId": "yourFolderId",
"users": [
{
"userId": "yourUserId1",
"name": "User Name",
"email": "user@email.com",
"accessRole": "editor"
}
]
}
}
{
"data": {
"organizationId": "yourOrganizationId",
"folderId": "yourFolderId",
"users": [
{
"userId": "yourUserId1",
"name": "User Name",
"email": "user@email.com",
"accessRole": "viewer"
}
]
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "User(s) processed successfully.",
"data": {
"yourUserId1": {
"success": true,
"id": "7d87015b055a168b098cf05b870e40ff",
"message": "User updated."
}
}
}
}
Some User(s) Not Found
{
"result": {
"status": "success",
"message": "User(s) processed successfully.",
"data": {
"yourUserId1": {
"success": true,
"id": "7d87015b055a168b098cf05b870e40ff",
"message": "User updated."
},
"yourUserId2": {
"success": false,
"id": "ad22d93b49ad990d2b3d582d08d7768a",
"message": "User does not exist."
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "User(s) processed successfully.",
"data": {
"yourUserId1": {
"success": true,
"id": "7d87015b055a168b098cf05b870e40ff",
"message": "User updated."
}
}
}
}
Was this page helpful?
⌘I

